import Popup from "@/components/popup";
import { ScrollView, Text, View } from "@tarojs/components";
import { memo, useMemo } from "react";
import styles  from './index.module.scss'

//原因选择
type ReasonInfoParam = {
    show?: boolean,
    onClose?: () => void,
}
export default memo(({show = false, onClose}: ReasonInfoParam) => {
    return (
        <Popup showIconButton={false} show={show} title="退款说明" onClose={onClose} >
            <View className={styles.reason_return_con}>
                <View className={styles.reason_title}><Text>退款说明</Text></View>
                <ScrollView scrollY className={styles.reason_scroll}>
                    <View className={styles.reason_list}>
                        <View className={styles.reason_item}>完好无损带原标签</View>
                        <View className={styles.reason_item}>完好无损带原标签</View>
                        <View className={styles.reason_item}>完好无损带原标签</View>
                        <View className={styles.reason_item}>完好无损带原标签</View>
                        <View className={styles.reason_item}>完好无损带原标签</View>
                        <View className={styles.reason_item}>完好无损带原标签</View>
                        <View className={styles.reason_item}>完好无损带原标签</View>
                        <View className={styles.reason_item}>完好无损带原标签</View>
                        <View className={styles.reason_item}>完好无损带原标签</View>
                        <View className={styles.reason_item}>完好无损带原标签</View>
                        <View className={styles.reason_item}>完好无损带原标签</View>
                        <View className={styles.reason_item}>完好无损带原标签</View>
                        <View className={styles.reason_item}>完好无损带原标签</View>
                        <View className={styles.reason_item}>完好无损带原标签</View>
                    </View>
                </ScrollView>
            </View>
        </Popup>
    )
})